summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2016-11-20 21:17:18 +0100
committerDavid Seifert <soap@gentoo.org>2016-11-20 21:37:40 +0100
commit4ab72caed4c1866930393039b185cce8b20248c9 (patch)
tree25c83c74c6469cef3733af6820561cabcac2eaf0 /sci-mathematics/octave
parentsci-biology/meme: Add $(DESTDIR) to install hooks (diff)
downloadgentoo-4ab72caed4c1866930393039b185cce8b20248c9.tar.gz
gentoo-4ab72caed4c1866930393039b185cce8b20248c9.tar.bz2
gentoo-4ab72caed4c1866930393039b185cce8b20248c9.zip
sci-mathematics/octave: Remove old
Package-Manager: portage-2.3.2 Closes: https://github.com/gentoo/gentoo/pull/2872
Diffstat (limited to 'sci-mathematics/octave')
-rw-r--r--sci-mathematics/octave/Manifest4
-rw-r--r--sci-mathematics/octave/files/octave-3.6.4-gcc-4.8.patch34
-rw-r--r--sci-mathematics/octave/files/octave-3.8.0-pkgbuilddir.patch40
-rw-r--r--sci-mathematics/octave/files/octave-4.0.0-imagemagick-configure.patch16
-rw-r--r--sci-mathematics/octave/files/octave-4.0.0-imagemagick.patch139
-rw-r--r--sci-mathematics/octave/files/octave-4.0.0-texinfo.patch63
-rw-r--r--sci-mathematics/octave/files/octave-4.0.3-imagemagick.patch139
-rw-r--r--sci-mathematics/octave/files/octave-4.0.3-ncurses-pkgconfig.patch42
-rw-r--r--sci-mathematics/octave/files/octave-4.0.3-zlib-underlinking.patch13
-rw-r--r--sci-mathematics/octave/octave-3.6.4-r1.ebuild132
-rw-r--r--sci-mathematics/octave/octave-4.0.0-r1.ebuild169
-rw-r--r--sci-mathematics/octave/octave-4.0.0.ebuild158
-rw-r--r--sci-mathematics/octave/octave-4.0.1-r1.ebuild164
-rw-r--r--sci-mathematics/octave/octave-4.0.1.ebuild158
-rw-r--r--sci-mathematics/octave/octave-4.0.2-r2.ebuild164
-rw-r--r--sci-mathematics/octave/octave-4.0.3.ebuild170
16 files changed, 0 insertions, 1605 deletions
diff --git a/sci-mathematics/octave/Manifest b/sci-mathematics/octave/Manifest
index 516c99f54a9..c2b7f89c33b 100644
--- a/sci-mathematics/octave/Manifest
+++ b/sci-mathematics/octave/Manifest
@@ -1,7 +1,3 @@
DIST octave-3.6.4.tar.bz2 15627315 SHA256 fa185df9591f5d740f4d37ff6eaf06db576fdd3e0ddd9d0737365799e5d1c962 SHA512 a49ef50161272618c9543057be5903e1e50b7f4ecb929777f6715d4b3a07a92c36a5b13958c52d8b942b6c7e7e3f7844409d0062eb02bdb3972d7194312b7a81 WHIRLPOOL f51c764ce1ed911661bb3dd1d31a2321f09c0d887ead7bbe8c1f4ad1ebe05137223afb5ff18fc57b83d631936975964a85e4fed9a087760935acb5a35050cda0
DIST octave-3.8.2.tar.bz2 17834980 SHA256 83bbd701aab04e7e57d0d5b8373dd54719bebb64ce0a850e69bf3d7454f33bae SHA512 c2bf4cc844a5b8dbabf2b54d2458ee7573f87dc92ca8cd7829e8c057591387b3a0995b5b48c6e50ff2944411f2b28521de26e438ed431f68ab5b49b8ce1d94cc WHIRLPOOL c117b935a060572577b3506a508d558a2af85b2785af02647e9edc47c5df97e357d954449edc90cc40a6af3230f99faccf6c7cf1b9b2bc6044f35749d3ae1af0
-DIST octave-4.0.0.tar.xz 15759196 SHA256 cf6be2fac6796fda68971e249c96d026ce4a1b0ed074ce49a5791365a958c474 SHA512 54559686d017b7fe731a89a24e74d08781365028d2799a86f25ebf4c433013eab03e5b4381a992b79e40bce1827a6eee2aefd0798b739128dd8dd7b41d936b89 WHIRLPOOL 0e0154dac5ac76268d99533186a88f54bc811817cdf2222c3c0bc22ff456fd23829f7015eebcb9d441665c1d2782ed57c06ab00880f64d63b22ef4aad43f132a
-DIST octave-4.0.1.tar.xz 15637340 SHA256 d58f4861f93dbf4c98f3574d6066cfa25001349bd58ce063cf443efba4e1c287 SHA512 7fa22b50c9116c917b2a2bd63d81a8106eba95842a5de736fbf89ee6ea3dbd5542c183ab6229b62f548ad07abbf67514152a8e553e8fbdf86036d44ced669798 WHIRLPOOL 7bcc16a1e01543dc0baab92993a305c6fea7fc9eb9d806004a1b3e11479c34d8a40000de60e2291a27c846d54abc35883a16583bc324681d7897624fa40d98bb
-DIST octave-4.0.2.tar.xz 15668728 SHA256 98c11ecead8ea759eb1d010ad6319a63a1c6199d3a7e2abbafe453c753090403 SHA512 e79d43528d47a2b3f0fbc9e43eefd5fb8e199dd3818ffd745c1424c7cfca9397186dab129b6f61ee52f5c5203d613e5290d8dc5e32b318cfdd3d38f7facf63cd WHIRLPOOL bf870ef3b6affb4a157951d99132078f528b52be403f7d01bfd98fd657d4089ebbf5fb78f340ce18e59ae27d5eddb9edbbf76583810bcf2dbd5c9ce8ea3434cd
-DIST octave-4.0.3.tar.xz 15697064 SHA256 dc2bec8c68fa5733a5847563634b1729356a84f3a5071008ecdb793293f0aa85 SHA512 bad009235b04be09c051dd27ebef7df2542adec0a0b57c070662deebe33a0cdceb7d6816653f5afc3fc0cc1287ba1ca1a5c50858169004210224039374c9c55d WHIRLPOOL 69546306417c85b65ae371035be906d5968b1af358ba16ff3c979a925766be92b933d386b6b594c70befaf8ddd95cf27fcd94934c03713688d05141e86a92dd0
DIST octave-4.2.0.tar.gz 25320153 SHA256 443ba73782f3531c94bcf016f2f0362a58e186ddb8269af7dcce973562795567 SHA512 5d16665d4ef8f218320f471704f8702f3a2911cc4a083cae318c1df0f787d50dddbc511dc91e11379314d65cecac6d521abac026860feca19d11ffdb52d3e678 WHIRLPOOL b5973f4e96aa4785436afa7fcc637cce021e4b5e93c3368f61712c808191bc26e3ece9d649f0b99e3df03672cb6df16c28cad931f3317b555f4f3167e4092f34
diff --git a/sci-mathematics/octave/files/octave-3.6.4-gcc-4.8.patch b/sci-mathematics/octave/files/octave-3.6.4-gcc-4.8.patch
deleted file mode 100644
index 1e13ebce38e..00000000000
--- a/sci-mathematics/octave/files/octave-3.6.4-gcc-4.8.patch
+++ /dev/null
@@ -1,34 +0,0 @@
-Description: Fix compilation of C++ MEX files with GCC 4.8
- The header mex.h was including mexproto.h within an extern "C" block. In turn,
- mexproto.h includes cstdlib.
- .
- Apparently, including cstdlib within an extern "C" block was working with GCC
- 4.7, but this is no longer the case with GCC 4.8.
- .
- The fix consists in including mexproto.h outside of the extern "C" block.
-Author: S├ębastien Villemot <sebastien@debian.org>
-Bug: https://savannah.gnu.org/bugs/index.php?38746
-Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=705485
-Last-Update: 2013-05-29
----
-This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
---- a/src/mex.h
-+++ b/src/mex.h
-@@ -64,6 +64,8 @@
-
- #define mxMAXNAME 64
-
-+#include "mexproto.h"
-+
- #if defined (__cplusplus)
- extern "C" {
- #endif
-@@ -74,8 +76,6 @@
- void mexFunction (int nlhs, mxArray* plhs[], int nrhs, const mxArray *prhs[]);
- #endif
-
--#include "mexproto.h"
--
- /* V4 floating point routines renamed in V5. */
- #define mexIsNaN mxIsNaN
- #define mexIsFinite mxIsFinite
diff --git a/sci-mathematics/octave/files/octave-3.8.0-pkgbuilddir.patch b/sci-mathematics/octave/files/octave-3.8.0-pkgbuilddir.patch
deleted file mode 100644
index 983f6b54ac5..00000000000
--- a/sci-mathematics/octave/files/octave-3.8.0-pkgbuilddir.patch
+++ /dev/null
@@ -1,40 +0,0 @@
---- octave-3.8.0-orig/scripts/pkg/private/install.m 2013-12-28 08:57:42.000000000 +1100
-+++ octave-3.8.0/scripts/pkg/private/install.m 2014-02-10 00:59:40.747194765 +1100
-@@ -63,6 +63,14 @@
- tgz = files{i};
-
- if (exist (tgz, "file"))
-+ ## The filename pointed to an uncompressed package to begin with.
-+ if (exist (tgz, "dir"))
-+ if (tgz(1) == '/')
-+ packdir = tgz;
-+ else
-+ packdir = fullfile (pwd(), tgz);
-+ endif
-+ elseif (exist (tgz, "file"))
- ## Create a temporary directory.
- tmpdir = tmpnam ();
- tmpdirs{end+1} = tmpdir;
-@@ -89,20 +97,12 @@
- if (length (dirlist) > 3)
- error ("bundles of packages are not allowed");
- endif
-- endif
-
-- ## The filename pointed to an uncompressed package to begin with.
-- if (exist (tgz, "dir"))
-- dirlist = {".", "..", tgz};
-+ ## The two first entries of dirlist are "." and "..".
-+ packdir = fullfile (tmpdir, dirlist{3});
- endif
-
- if (exist (tgz, "file") || exist (tgz, "dir"))
-- ## The two first entries of dirlist are "." and "..".
-- if (exist (tgz, "file"))
-- packdir = fullfile (tmpdir, dirlist{3});
-- else
-- packdir = fullfile (pwd (), dirlist{3});
-- endif
- packdirs{end+1} = packdir;
-
- ## Make sure the package contains necessary files.
diff --git a/sci-mathematics/octave/files/octave-4.0.0-imagemagick-configure.patch b/sci-mathematics/octave/files/octave-4.0.0-imagemagick-configure.patch
deleted file mode 100644
index 4e88ac07b13..00000000000
--- a/sci-mathematics/octave/files/octave-4.0.0-imagemagick-configure.patch
+++ /dev/null
@@ -1,16 +0,0 @@
---- octave-4.0.0-orig/configure.ac 2015-05-27 02:16:39.000000000 +1000
-+++ octave-4.0.0/configure.ac 2015-07-06 18:11:43.461136517 +1000
-@@ -1086,11 +1086,11 @@
- MAGICK_LIBS=
-
- PKG_CHECK_EXISTS([$magick++], [
-- ## Make sure we only get -I, -L, and -l flags. Some Graphics/ImageMagick++
-+ ## Make sure we only get -I, -D, -L, and -l flags. Some Graphics/ImageMagick++
- ## packages add extra flags that are useful when building
- ## Graphics/ImageMagick++ extentions. These extra flags break the
- ## Octave build.
-- MAGICK_CPPFLAGS=`$PKG_CONFIG --cflags-only-I $magick++`
-+ MAGICK_CPPFLAGS=`$PKG_CONFIG --cflags $magick++ | sed -e 's/\(-@<:@DI@:>@@<:@^ \t@:>@*\)\|\(-@<:@^ \t@:>@*\)/\1/g'`
- MAGICK_LDFLAGS=`$PKG_CONFIG --libs-only-L $magick++`
- MAGICK_LIBS=`$PKG_CONFIG --libs-only-l $magick++`
-
diff --git a/sci-mathematics/octave/files/octave-4.0.0-imagemagick.patch b/sci-mathematics/octave/files/octave-4.0.0-imagemagick.patch
deleted file mode 100644
index 9e3689176cb..00000000000
--- a/sci-mathematics/octave/files/octave-4.0.0-imagemagick.patch
+++ /dev/null
@@ -1,139 +0,0 @@
---- octave-4.0.0-orig/libinterp/dldfcn/__magick_read__.cc 2015-05-24 00:21:53.000000000 +1000
-+++ octave-4.0.0/libinterp/dldfcn/__magick_read__.cc 2015-07-06 18:17:52.263146804 +1000
-@@ -38,8 +38,15 @@
- #include "gripes.h"
-
- #ifdef HAVE_MAGICK
--
-+#define MAGICKCORE_EXCLUDE_DEPRECATED 1
- #include <Magick++.h>
-+#if !defined(QuantumRange) && defined(MaxRGB)
-+#define QuantumRange MaxRGB
-+#endif
-+#if !defined(MAGICKCORE_QUANTUM_DEPTH) && defined(QuantumDepth)
-+#define MAGICKCORE_QUANTUM_DEPTH QuantumDepth
-+#endif
-+
- #include <clocale>
-
- // In theory, it should be enough to check the class:
-@@ -121,12 +128,18 @@
- get_depth (Magick::Image& img)
- {
- octave_idx_type depth = img.depth ();
-+#if defined(MagickLibVersion) && (MagickLibVersion <= 0x686)
-+#define Magick MagickCore
-+#endif
- if (depth == 8
- && img.channelDepth (Magick::RedChannel) == 1
- && img.channelDepth (Magick::CyanChannel) == 1
- && img.channelDepth (Magick::OpacityChannel) == 1
- && img.channelDepth (Magick::GrayChannel) == 1)
- depth = 1;
-+#if defined(MagickLibVersion) && (MagickLibVersion <= 0x686)
-+#undef Magick
-+#endif
-
- return depth;
- }
-@@ -350,7 +363,10 @@
- if (imvec[def_elem].depth () == 32)
- divisor = std::numeric_limits<uint32_t>::max ();
- else
-- divisor = MaxRGB / ((uint64_t (1) << imvec[def_elem].depth ()) - 1);
-+ {
-+ using namespace Magick;
-+ divisor = QuantumRange / ((uint64_t (1) << imvec[def_elem].depth ()) - 1);
-+ }
-
- // FIXME: this workaround should probably be fixed in GM by creating a
- // new ImageType BilevelMatteType
-@@ -484,7 +500,8 @@
- for (octave_idx_type row = 0; row < nRows; row++)
- {
- img_fvec[idx] = pix->red / divisor;
-- a_fvec[idx] = (MaxRGB - pix->opacity) / divisor;
-+ using namespace Magick;
-+ a_fvec[idx] = (QuantumRange - pix->opacity) / divisor;
- pix += row_shift;
- idx++;
- }
-@@ -563,7 +580,8 @@
- rbuf[idx] = pix->red / divisor;
- gbuf[idx] = pix->green / divisor;
- bbuf[idx] = pix->blue / divisor;
-- a_fvec[a_idx++] = (MaxRGB - pix->opacity) / divisor;
-+ using namespace Magick;
-+ a_fvec[a_idx++] = (QuantumRange - pix->opacity) / divisor;
- pix += row_shift;
- idx++;
- }
-@@ -650,7 +668,8 @@
- mbuf[idx] = pix->green / divisor;
- ybuf[idx] = pix->blue / divisor;
- kbuf[idx] = pix->opacity / divisor;
-- a_fvec[a_idx++] = (MaxRGB - *apix) / divisor;
-+ using namespace Magick;
-+ a_fvec[a_idx++] = (QuantumRange - *apix) / divisor;
- pix += row_shift;
- idx++;
- }
-@@ -709,10 +728,11 @@
- // Restore locale from before GraphicsMagick initialisation
- setlocale (LC_ALL, locale.c_str ());
-
-- if (QuantumDepth < 32)
-+ using namespace Magick;
-+ if (MAGICKCORE_QUANTUM_DEPTH < 32)
- warning_with_id ("Octave:GraphicsMagic-Quantum-Depth",
- "your version of %s limits images to %d bits per pixel",
-- MagickPackageName, QuantumDepth);
-+ MagickPackageName, MAGICKCORE_QUANTUM_DEPTH);
-
- initialized = true;
- }
-@@ -1087,8 +1107,9 @@
- // From GM documentation:
- // Color arguments are must be scaled to fit the Quantum size according to
- // the range of MaxRGB
-+ using namespace Magick;
- const double divisor = static_cast<double>((uint64_t (1) << bitdepth) - 1)
-- / MaxRGB;
-+ / QuantumRange;
-
- const P *img_fvec = img.fortran_vec ();
- const P *a_fvec = alpha.fortran_vec ();
-@@ -1140,8 +1161,9 @@
- for (octave_idx_type row = 0; row < nRows; row++)
- {
- double grey = double (*img_fvec) / divisor;
-+ using namespace Magick;
- Magick::Color c (grey, grey, grey,
-- MaxRGB - (double (*a_fvec) / divisor));
-+ QuantumRange - (double (*a_fvec) / divisor));
- pix[GM_idx] = c;
- img_fvec++;
- a_fvec++;
-@@ -1209,10 +1231,11 @@
- {
- for (octave_idx_type row = 0; row < nRows; row++)
- {
-+ using namespace Magick;
- Magick::Color c (double (*img_fvec) / divisor,
- double (img_fvec[G_offset]) / divisor,
- double (img_fvec[B_offset]) / divisor,
-- MaxRGB - (double (*a_fvec) / divisor));
-+ QuantumRange - (double (*a_fvec) / divisor));
- pix[GM_idx] = c;
- img_fvec++;
- a_fvec++;
-@@ -1290,7 +1313,8 @@
- double (img_fvec[Y_offset]) / divisor,
- double (img_fvec[K_offset]) / divisor);
- pix[GM_idx] = c;
-- ind[GM_idx] = MaxRGB - (double (*a_fvec) / divisor);
-+ using namespace Magick;
-+ ind[GM_idx] = QuantumRange - (double (*a_fvec) / divisor);
- img_fvec++;
- a_fvec++;
- GM_idx += nCols;
diff --git a/sci-mathematics/octave/files/octave-4.0.0-texinfo.patch b/sci-mathematics/octave/files/octave-4.0.0-texinfo.patch
deleted file mode 100644
index d94e7515336..00000000000
--- a/sci-mathematics/octave/files/octave-4.0.0-texinfo.patch
+++ /dev/null
@@ -1,63 +0,0 @@
-diff -r 3300cb76cccd -r 2ec049e50ed8 libinterp/corefcn/utils.cc
---- a/libinterp/corefcn/utils.cc Tue Jul 07 19:09:35 2015 -0700
-+++ b/libinterp/corefcn/utils.cc Thu Jul 09 21:44:09 2015 -0400
-@@ -1379,7 +1379,7 @@
- \n\
- Implementation Note: Strings are first converted to double values before the\n\
- checks for valid indices are made. Unless a string contains the NULL\n\
--character @nospell{\"\\0\"}, it will always be a valid index.\n\
-+character @nospell{\"@xbackslashchar{}0\"}, it will always be a valid index.\n\
- @end deftypefn")
- {
- octave_value retval;
-diff -r 3300cb76cccd -r 2ec049e50ed8 scripts/io/beep.m
---- a/scripts/io/beep.m Tue Jul 07 19:09:35 2015 -0700
-+++ b/scripts/io/beep.m Thu Jul 09 21:44:09 2015 -0400
-@@ -20,9 +20,9 @@
- ## @deftypefn {Function File} {} beep ()
- ## Produce a beep from the speaker (or visual bell).
- ##
--## This function sends the alarm character @qcode{"\a"} to the terminal.
--## Depending on the user's configuration this may produce an audible beep,
--## a visual bell, or nothing at all.
-+## This function sends the alarm character @qcode{"@xbackslashchar{}a"} to
-+## the terminal. Depending on the user's configuration this may produce an
-+## audible beep, a visual bell, or nothing at all.
- ## @seealso{puts, fputs, printf, fprintf}
- ## @end deftypefn
-
-diff -r 2ec049e50ed8 -r 45d7be391982 doc/Makefile.am
---- a/doc/Makefile.am Thu Jul 09 21:44:09 2015 -0400
-+++ b/doc/Makefile.am Thu Jul 09 21:45:26 2015 -0400
-@@ -26,7 +26,6 @@
-
- EXTRA_DIST = \
- Makefile.am \
-- texinfo.tex \
- texmf.cnf
-
- SUBDIRS = doxyhtml interpreter liboctave refcard
-diff -r 2ec049e50ed8 -r 45d7be391982 doc/interpreter/Makefile.am
---- a/doc/interpreter/Makefile.am Thu Jul 09 21:44:09 2015 -0400
-+++ b/doc/interpreter/Makefile.am Thu Jul 09 21:45:26 2015 -0400
-@@ -20,8 +20,6 @@
-
- include $(top_srcdir)/build-aux/common.mk
-
--TEXINFO_TEX = ../texinfo.tex
--
- ## Leading PATH_SEPARATOR required due to weak parsing by dvips (12/04/09)
- TEXINPUTS := "$(PATH_SEPARATOR)$(srcdir)$(PATH_SEPARATOR)$(TEXINPUTS)$(PATH_SEPARATOR)"
- export TEXINPUTS
-diff -r 2ec049e50ed8 -r 45d7be391982 doc/liboctave/Makefile.am
---- a/doc/liboctave/Makefile.am Thu Jul 09 21:44:09 2015 -0400
-+++ b/doc/liboctave/Makefile.am Thu Jul 09 21:45:26 2015 -0400
-@@ -20,8 +20,6 @@
-
- include $(top_srcdir)/build-aux/common.mk
-
--TEXINFO_TEX = ../texinfo.tex
--
- info_TEXINFOS = liboctave.texi
-
- liboctave_TEXINFOS = \
diff --git a/sci-mathematics/octave/files/octave-4.0.3-imagemagick.patch b/sci-mathematics/octave/files/octave-4.0.3-imagemagick.patch
deleted file mode 100644
index 5ad31c29c60..00000000000
--- a/sci-mathematics/octave/files/octave-4.0.3-imagemagick.patch
+++ /dev/null
@@ -1,139 +0,0 @@
---- octave-4.0.3/libinterp/corefcn/__magick_read__.cc
-+++ octave-4.0.3/libinterp/corefcn/__magick_read__.cc
-@@ -38,8 +38,15 @@
- #include "gripes.h"
-
- #ifdef HAVE_MAGICK
--
-+#define MAGICKCORE_EXCLUDE_DEPRECATED 1
- #include <Magick++.h>
-+#if !defined(QuantumRange) && defined(MaxRGB)
-+#define QuantumRange MaxRGB
-+#endif
-+#if !defined(MAGICKCORE_QUANTUM_DEPTH) && defined(QuantumDepth)
-+#define MAGICKCORE_QUANTUM_DEPTH QuantumDepth
-+#endif
-+
- #include <clocale>
-
- // In theory, it should be enough to check the class:
-@@ -121,12 +128,18 @@
- get_depth (Magick::Image& img)
- {
- octave_idx_type depth = img.depth ();
-+#if defined(MagickLibVersion) && (MagickLibVersion <= 0x686)
-+#define Magick MagickCore
-+#endif
- if (depth == 8
- && img.channelDepth (Magick::RedChannel) == 1
- && img.channelDepth (Magick::CyanChannel) == 1
- && img.channelDepth (Magick::OpacityChannel) == 1
- && img.channelDepth (Magick::GrayChannel) == 1)
- depth = 1;
-+#if defined(MagickLibVersion) && (MagickLibVersion <= 0x686)
-+#undef Magick
-+#endif
-
- return depth;
- }
-@@ -350,7 +363,10 @@
- if (imvec[def_elem].depth () == 32)
- divisor = std::numeric_limits<uint32_t>::max ();
- else
-- divisor = MaxRGB / ((uint64_t (1) << imvec[def_elem].depth ()) - 1);
-+ {
-+ using namespace Magick;
-+ divisor = QuantumRange / ((uint64_t (1) << imvec[def_elem].depth ()) - 1);
-+ }
-
- // FIXME: this workaround should probably be fixed in GM by creating a
- // new ImageType BilevelMatteType
-@@ -484,7 +500,8 @@
- for (octave_idx_type row = 0; row < nRows; row++)
- {
- img_fvec[idx] = pix->red / divisor;
-- a_fvec[idx] = (MaxRGB - pix->opacity) / divisor;
-+ using namespace Magick;
-+ a_fvec[idx] = (QuantumRange - pix->opacity) / divisor;
- pix += row_shift;
- idx++;
- }
-@@ -563,7 +580,8 @@
- rbuf[idx] = pix->red / divisor;
- gbuf[idx] = pix->green / divisor;
- bbuf[idx] = pix->blue / divisor;
-- a_fvec[a_idx++] = (MaxRGB - pix->opacity) / divisor;
-+ using namespace Magick;
-+ a_fvec[a_idx++] = (QuantumRange - pix->opacity) / divisor;
- pix += row_shift;
- idx++;
- }
-@@ -650,7 +668,8 @@
- mbuf[idx] = pix->green / divisor;
- ybuf[idx] = pix->blue / divisor;
- kbuf[idx] = pix->opacity / divisor;
-- a_fvec[a_idx++] = (MaxRGB - *apix) / divisor;
-+ using namespace Magick;
-+ a_fvec[a_idx++] = (QuantumRange - *apix) / divisor;
- pix += row_shift;
- idx++;
- }
-@@ -709,10 +728,11 @@
- // Restore locale from before GraphicsMagick initialisation
- setlocale (LC_ALL, locale.c_str ());
-
-- if (QuantumDepth < 32)
-+ using namespace Magick;
-+ if (MAGICKCORE_QUANTUM_DEPTH < 32)
- warning_with_id ("Octave:GraphicsMagic-Quantum-Depth",
- "your version of %s limits images to %d bits per pixel",
-- MagickPackageName, QuantumDepth);
-+ MagickPackageName, MAGICKCORE_QUANTUM_DEPTH);
-
- initialized = true;
- }
-@@ -1087,8 +1107,9 @@
- // From GM documentation:
- // Color arguments are must be scaled to fit the Quantum size according to
- // the range of MaxRGB
-+ using namespace Magick;
- const double divisor = static_cast<double>((uint64_t (1) << bitdepth) - 1)
-- / MaxRGB;
-+ / QuantumRange;
-
- const P *img_fvec = img.fortran_vec ();
- const P *a_fvec = alpha.fortran_vec ();
-@@ -1140,8 +1161,9 @@
- for (octave_idx_type row = 0; row < nRows; row++)
- {
- double grey = xround (double (*img_fvec) / divisor);
-+ using namespace Magick;
- Magick::Color c (grey, grey, grey,
-- MaxRGB - xround (double (*a_fvec) / divisor));
-+ QuantumRange - (double (*a_fvec) / divisor));
- pix[GM_idx] = c;
- img_fvec++;
- a_fvec++;
-@@ -1209,10 +1231,11 @@
- {
- for (octave_idx_type row = 0; row < nRows; row++)
- {
-+ using namespace Magick;
- Magick::Color c (xround (double (*img_fvec) / divisor),
- xround (double (img_fvec[G_offset]) / divisor),
- xround (double (img_fvec[B_offset]) / divisor),
-- MaxRGB - xround (double (*a_fvec) / divisor));
-+ QuantumRange - (double (*a_fvec) / divisor));
- pix[GM_idx] = c;
- img_fvec++;
- a_fvec++;
-@@ -1290,7 +1313,8 @@
- xround (double (img_fvec[Y_offset]) / divisor),
- xround (double (img_fvec[K_offset]) / divisor));
- pix[GM_idx] = c;
-- ind[GM_idx] = MaxRGB - xround (double (*a_fvec) / divisor);
-+ using namespace Magick;
-+ ind[GM_idx] = QuantumRange - (double (*a_fvec) / divisor);
- img_fvec++;
- a_fvec++;
- GM_idx += nCols;
diff --git a/sci-mathematics/octave/files/octave-4.0.3-ncurses-pkgconfig.patch b/sci-mathematics/octave/files/octave-4.0.3-ncurses-pkgconfig.patch
deleted file mode 100644
index 20342745a28..00000000000
--- a/sci-mathematics/octave/files/octave-4.0.3-ncurses-pkgconfig.patch
+++ /dev/null
@@ -1,42 +0,0 @@
-Instead of trying to find obscure termcap libraries, use pkg-config
-to detect the proper flags required for curses support.
-See also:
-https://bugs.gentoo.org/show_bug.cgi?id=590676
-
---- a/m4/acinclude.m4
-+++ b/m4/acinclude.m4
-@@ -1085,32 +1085,8 @@
- dnl Find a suitable termlib to use.
- dnl
- AC_DEFUN([OCTAVE_CHECK_LIB_TERMLIB], [
-- TERM_LIBS=
-- ac_octave_save_LIBS="$LIBS"
-- AC_SEARCH_LIBS([tputs],
-- [ncurses curses termcap terminfo termlib],
-- [], [])
-- LIBS="$ac_octave_save_LIBS"
-- case "$ac_cv_search_tputs" in
-- -l*)
-- TERM_LIBS="$ac_cv_search_tputs"
-- ;;
-- no)
-- warn_termlibs="I couldn't find -ltermcap, -lterminfo, -lncurses, -lcurses, or -ltermlib!"
-- AC_MSG_WARN([$warn_termlibs])
-- ;;
-- esac
--
--dnl Old code (9/9/2012). Delete when new code is definitely proven.
--dnl
--dnl for _termlib in ncurses curses termcap terminfo termlib; do
--dnl AC_CHECK_LIB([${_termlib}], [tputs], [
--dnl TERM_LIBS="-l${termlib}"
--dnl octave_cv_lib_found_termlib=yes
--dnl break])
--dnl done
--
-- AC_SUBST(TERM_LIBS)
-+ PKG_CHECK_MODULES([TERM], [ncurses])
-+ CPPFLAGS="${CPPFLAGS} ${TERM_CFLAGS}"
- ])
- dnl
- dnl Check for the Qhull version.
diff --git a/sci-mathematics/octave/files/octave-4.0.3-zlib-underlinking.patch b/sci-mathematics/octave/files/octave-4.0.3-zlib-underlinking.patch
deleted file mode 100644
index 7bc11876a41..00000000000
--- a/sci-mathematics/octave/files/octave-4.0.3-zlib-underlinking.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix underlinking caused by missing -lz link.
-See also: https://bugs.gentoo.org/show_bug.cgi?id=593670
-
---- a/libinterp/corefcn/module.mk
-+++ b/libinterp/corefcn/module.mk
-@@ -361,6 +361,7 @@
- $(HDF5_CPPFLAGS) \
- $(LLVM_CPPFLAGS) \
- $(Z_CPPFLAGS)
-+corefcn_libcorefcn_la_LIBADD = $(Z_LIBS)
-
- corefcn_libcorefcn_la_CXXFLAGS = $(AM_CXXFLAGS) $(LLVM_CXXFLAGS)
-
diff --git a/sci-mathematics/octave/octave-3.6.4-r1.ebuild b/sci-mathematics/octave/octave-3.6.4-r1.ebuild
deleted file mode 100644
index 3aeefddb4a7..00000000000
--- a/sci-mathematics/octave/octave-3.6.4-r1.ebuild
+++ /dev/null
@@ -1,132 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-inherit autotools-utils multilib toolchain-funcs fortran-2
-
-DESCRIPTION="High-level interactive language for numerical computations"
-LICENSE="GPL-3"
-HOMEPAGE="http://www.octave.org/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.bz2"
-
-SLOT="0/${PV}"
-IUSE="curl doc fftw +glpk gnuplot graphicsmagick hdf5 +imagemagick opengl postscript
- +qhull +qrupdate readline +sparse static-libs X zlib"
-REQUIRED_USE="?? ( graphicsmagick imagemagick )"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-
-RDEPEND="
- app-text/ghostscript-gpl
- dev-libs/libpcre
- sys-libs/ncurses:0=
- virtual/lapack
- curl? ( net-misc/curl )
- fftw? ( sci-libs/fftw:3.0 )
- glpk? ( sci-mathematics/glpk )
- gnuplot? ( sci-visualization/gnuplot )
- hdf5? ( sci-libs/hdf5 )
- graphicsmagick? ( media-gfx/graphicsmagick:=[cxx] )
- imagemagick? ( media-gfx/imagemagick:=[cxx] )
- opengl? (
- media-libs/freetype:2
- media-libs/fontconfig
- >=x11-libs/fltk-1.3:1[opengl]
- virtual/glu )
- postscript? (
- app-text/epstool
- media-gfx/pstoedit
- media-gfx/transfig )
- qhull? ( media-libs/qhull )
- qrupdate? ( sci-libs/qrupdate )
- readline? ( sys-libs/readline:0 )
- sparse? (
- sci-libs/arpack
- sci-libs/camd
- sci-libs/ccolamd
- sci-libs/cholmod
- sci-libs/colamd
- sci-libs/cxsparse
- sci-libs/umfpack )
- X? ( x11-libs/libX11 )
- zlib? ( sys-libs/zlib )"
-
-DEPEND="${RDEPEND}
- doc? (
- virtual/latex-base
- dev-texlive/texlive-genericrecommended
- dev-texlive/texlive-metapost
- sys-apps/texinfo )
- dev-util/gperf
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.4.3-{pkgbuilddir,texi}.patch
- "${FILESDIR}"/${PN}-3.6.3-legendtext.patch
- "${FILESDIR}"/${P}-texinfo.patch
- "${FILESDIR}"/${P}-gcc-4.8.patch
-)
-
-src_prepare() {
- # nasty prefix hack for fltk:1 linking
- if use prefix && use opengl; then
- sed -i \
- -e "s:ldflags\`:ldflags\` -Wl,-rpath,${EPREFIX}/usr/$(get_libdir)/fltk-1:" \
- configure.ac
- fi
- autotools-utils_src_prepare
-}
-
-src_configure() {
- # occasional fail on install, force regeneration (bug #401189)
- rm doc/interpreter/contributors.texi || die
-
- # unfortunate dependency on mpi from hdf5 (bug #302621)
- use hdf5 && has_version sci-libs/hdf5[mpi] && \
- export CXX=mpicxx CC=mpicc FC=mpif77 F77=mpif77
-
- local myeconfargs=(
- --localstatedir="${EPREFIX}/var/state/octave"
- --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
- --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
- $(use_enable prefix rpath)
- $(use_enable doc docs)
- $(use_enable readline)
- $(use_with curl)
- $(use_with fftw fftw3)
- $(use_with fftw fftw3f)
- $(use_with glpk)
- $(use_with hdf5)
- $(use_with opengl)
- $(use_with qhull)
- $(use_with qrupdate)
- $(use_with sparse arpack)
- $(use_with sparse umfpack)
- $(use_with sparse colamd)
- $(use_with sparse ccolamd)
- $(use_with sparse cholmod)
- $(use_with sparse cxsparse)
- $(use_with X x)
- $(use_with zlib z)
- )
- if use graphicsmagick; then
- myeconfargs+=( "--with-magick=GraphicsMagick" )
- elif use imagemagick; then
- myeconfargs+=( "--with-magick=ImageMagick" )
- else
- myeconfargs+=( "--without-magick" )
- fi
- autotools-utils_src_configure
-}
-
-src_install() {
- autotools-utils_src_install
- use doc && dodoc $(find doc -name \*.pdf)
- [[ -e test/fntests.log ]] && dodoc test/fntests.log
- echo "LDPATH=${EROOT}usr/$(get_libdir)/${PN}/${PV}" > 99octave
- doenvd 99octave
-}
diff --git a/sci-mathematics/octave/octave-4.0.0-r1.ebuild b/sci-mathematics/octave/octave-4.0.0-r1.ebuild
deleted file mode 100644
index d3b1bf379c0..00000000000
--- a/sci-mathematics/octave/octave-4.0.0-r1.ebuild
+++ /dev/null
@@ -1,169 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-inherit autotools-utils multilib toolchain-funcs fortran-2 flag-o-matic java-pkg-opt-2 pax-utils
-
-DESCRIPTION="High-level interactive language for numerical computations"
-LICENSE="GPL-3"
-HOMEPAGE="http://www.octave.org/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
-
-SLOT="0/${PV}"
-IUSE="curl doc fftw +glpk gnuplot graphicsmagick gui hdf5 +imagemagick java opengl
- postscript +qhull +qrupdate readline +sparse static-libs X zlib"
-REQUIRED_USE="?? ( graphicsmagick imagemagick )"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-
-RDEPEND="
- app-text/ghostscript-gpl
- dev-libs/libpcre:3=
- sys-libs/ncurses:0=
- virtual/blas
- virtual/lapack
- curl? ( net-misc/curl:0= )
- fftw? ( sci-libs/fftw:3.0= )
- glpk? ( sci-mathematics/glpk:0= )
- gnuplot? ( sci-visualization/gnuplot )
- gui? ( x11-libs/qscintilla:0= )
- hdf5? ( sci-libs/hdf5:0= )
- graphicsmagick? ( media-gfx/graphicsmagick:=[cxx] )
- imagemagick? ( media-gfx/imagemagick:=[cxx] )
- java? ( >=virtual/jre-1.6.0:* )
- opengl? (
- media-libs/freetype:2=
- media-libs/fontconfig:1.0=
- >=x11-libs/fltk-1.3:1=[opengl,xft]
- x11-libs/gl2ps:0=
- virtual/glu )
- postscript? (
- app-text/epstool
- media-gfx/pstoedit
- media-gfx/transfig )
- qhull? ( media-libs/qhull:0= )
- qrupdate? ( sci-libs/qrupdate:0= )
- readline? ( sys-libs/readline:0= )
- sparse? (
- sci-libs/arpack:0=
- sci-libs/camd:0=
- sci-libs/ccolamd:0=
- sci-libs/cholmod:0=
- sci-libs/colamd:0=
- sci-libs/cxsparse:0=
- sci-libs/umfpack:0= )
- X? ( x11-libs/libX11:0= )
- zlib? ( sys-libs/zlib:0= )"
-
-DEPEND="${RDEPEND}
- qrupdate? ( app-misc/pax-utils )
- sparse? ( app-misc/pax-utils )
- java? ( >=virtual/jdk-1.6.0 )
- doc? (
- virtual/latex-base
- dev-texlive/texlive-genericrecommended
- dev-texlive/texlive-metapost )
- sys-apps/texinfo
- dev-util/gperf
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.4.3-texi.patch
- "${FILESDIR}"/${PN}-3.8.0-disable-getcwd-path-max-test-as-it-is-too-slow.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick-configure.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick.patch
- "${FILESDIR}"/${PN}-3.8.1-pkgbuilddir.patch
-)
-
-src_prepare() {
- # nasty prefix hacks for fltk:1 and qt4 linking
- if use prefix; then
- use opengl && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/fltk-1"
- use gui && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/qt4"
- fi
-
- # Fix bug 501756
- sed -i \
- -e 's@A-Za-z0-9@[:alnum:]@g' \
- -e 's@A-Za-z@[:alpha:]@g' \
- libinterp/mkbuiltins || die
-
- # Fix bug 554226 - sci-mathematics/octave-4.0.0 fails because of a LaTeX error
- epatch "${FILESDIR}"/${PN}-4.0.0-texinfo.patch
- rm -f "${S}"/doc/texinfo.tex || die
-
- autotools-utils_src_prepare
-}
-
-src_configure() {
- # occasional fail on install, force regeneration (bug #401189)
- rm doc/interpreter/contributors.texi || die
-
- # unfortunate dependency on mpi from hdf5 (bug #302621)
- use hdf5 && has_version sci-libs/hdf5[mpi] && \
- export CXX=mpicxx CC=mpicc FC=mpif77 F77=mpif77
-
- local myeconfargs=(
- --localstatedir="${EPREFIX}/var/state/octave"
- --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
- --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
- --disable-64
- --disable-jit
- $(use_enable doc docs)
- $(use_enable java)
- $(use_enable gui)
- $(use_enable readline)
- $(use_with curl)
- $(use_with fftw fftw3)
- $(use_with fftw fftw3f)
- $(use_enable fftw fftw-threads)
- $(use_with glpk)
- $(use_with hdf5)
- $(use_with opengl)
- $(use_with qhull)
- $(use_with qrupdate)
- $(use_with sparse arpack)
- $(use_with sparse umfpack)
- $(use_with sparse colamd)
- $(use_with sparse ccolamd)
- $(use_with sparse cholmod)
- $(use_with sparse cxsparse)
- $(use_with X x)
- $(use_with zlib z)
- )
- if use graphicsmagick; then
- myeconfargs+=( "--with-magick=GraphicsMagick" )
- elif use imagemagick; then
- myeconfargs+=( "--with-magick=ImageMagick" )
- else
- myeconfargs+=( "--without-magick" )
- fi
- autotools-utils_src_configure
-}
-
-src_compile() {
- emake
- if use java; then
- pax-mark m "${S}/src/.libs/octave-cli"
- fi
-}
-
-src_install() {
- autotools-utils_src_install
- if use doc; then
- dodoc $(find doc -name \*.pdf)
- else
- # bug 566134, macros.texi is installed by make install if use doc
- insinto /usr/share/${PN}/${PV}/etc
- doins doc/interpreter/macros.texi
- fi
- [[ -e test/fntests.log ]] && dodoc test/fntests.log
- use java && \
- java-pkg_regjar "${ED}/usr/share/${PN}/${PV}/m/java/octave.jar"
- echo "LDPATH=${EROOT}usr/$(get_libdir)/${PN}/${PV}" > 99octave
- doenvd 99octave
-}
diff --git a/sci-mathematics/octave/octave-4.0.0.ebuild b/sci-mathematics/octave/octave-4.0.0.ebuild
deleted file mode 100644
index 813c601c3eb..00000000000
--- a/sci-mathematics/octave/octave-4.0.0.ebuild
+++ /dev/null
@@ -1,158 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-inherit autotools-utils multilib toolchain-funcs fortran-2 flag-o-matic java-pkg-opt-2 pax-utils
-
-DESCRIPTION="High-level interactive language for numerical computations"
-LICENSE="GPL-3"
-HOMEPAGE="http://www.octave.org/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
-
-SLOT="0/${PV}"
-IUSE="curl doc fftw +glpk gnuplot graphicsmagick gui hdf5 +imagemagick java opengl
- postscript +qhull +qrupdate readline +sparse static-libs X zlib"
-REQUIRED_USE="?? ( graphicsmagick imagemagick )"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-
-RDEPEND="
- app-text/ghostscript-gpl
- dev-libs/libpcre:3=
- sys-libs/ncurses:0=
- virtual/blas
- virtual/lapack
- curl? ( net-misc/curl:0= )
- fftw? ( sci-libs/fftw:3.0= )
- glpk? ( sci-mathematics/glpk:0= )
- gnuplot? ( sci-visualization/gnuplot )
- gui? ( x11-libs/qscintilla:0= )
- hdf5? ( sci-libs/hdf5:0= )
- graphicsmagick? ( media-gfx/graphicsmagick:=[cxx] )
- imagemagick? ( media-gfx/imagemagick:=[cxx] )
- java? ( >=virtual/jre-1.6.0:* )
- opengl? (
- media-libs/freetype:2=
- media-libs/fontconfig:1.0=
- >=x11-libs/fltk-1.3:1=[opengl,xft]
- x11-libs/gl2ps:0=
- virtual/glu )
- postscript? (
- app-text/epstool
- media-gfx/pstoedit
- media-gfx/transfig )
- qhull? ( media-libs/qhull:0= )
- qrupdate? ( sci-libs/qrupdate:0= )
- readline? ( sys-libs/readline:0= )
- sparse? (
- sci-libs/arpack:0=
- sci-libs/camd:0=
- sci-libs/ccolamd:0=
- sci-libs/cholmod:0=
- sci-libs/colamd:0=
- sci-libs/cxsparse:0=
- sci-libs/umfpack:0= )
- X? ( x11-libs/libX11:0= )
- zlib? ( sys-libs/zlib:0= )"
-
-DEPEND="${RDEPEND}
- qrupdate? ( app-misc/pax-utils )
- sparse? ( app-misc/pax-utils )
- java? ( >=virtual/jdk-1.6.0 )
- doc? (
- virtual/latex-base
- dev-texlive/texlive-genericrecommended
- dev-texlive/texlive-metapost
- sys-apps/texinfo )
- dev-util/gperf
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.4.3-texi.patch
- "${FILESDIR}"/${PN}-3.8.0-disable-getcwd-path-max-test-as-it-is-too-slow.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick-configure.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick.patch
- "${FILESDIR}"/${PN}-3.8.1-pkgbuilddir.patch
-)
-
-src_prepare() {
- # nasty prefix hacks for fltk:1 and qt4 linking
- if use prefix; then
- use opengl && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/fltk-1"
- use gui && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/qt4"
- fi
-
- # Fix bug 501756
- sed -i \
- -e 's@A-Za-z0-9@[:alnum:]@g' \
- -e 's@A-Za-z@[:alpha:]@g' \
- libinterp/mkbuiltins || die
- autotools-utils_src_prepare
-}
-
-src_configure() {
- # occasional fail on install, force regeneration (bug #401189)
- rm doc/interpreter/contributors.texi || die
-
- # unfortunate dependency on mpi from hdf5 (bug #302621)
- use hdf5 && has_version sci-libs/hdf5[mpi] && \
- export CXX=mpicxx CC=mpicc FC=mpif77 F77=mpif77
-
- local myeconfargs=(
- --localstatedir="${EPREFIX}/var/state/octave"
- --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
- --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
- --disable-64
- --disable-jit
- $(use_enable doc docs)
- $(use_enable java)
- $(use_enable gui)
- $(use_enable readline)
- $(use_with curl)
- $(use_with fftw fftw3)
- $(use_with fftw fftw3f)
- $(use_enable fftw fftw-threads)
- $(use_with glpk)
- $(use_with hdf5)
- $(use_with opengl)
- $(use_with qhull)
- $(use_with qrupdate)
- $(use_with sparse arpack)
- $(use_with sparse umfpack)
- $(use_with sparse colamd)
- $(use_with sparse ccolamd)
- $(use_with sparse cholmod)
- $(use_with sparse cxsparse)
- $(use_with X x)
- $(use_with zlib z)
- )
- if use graphicsmagick; then
- myeconfargs+=( "--with-magick=GraphicsMagick" )
- elif use imagemagick; then
- myeconfargs+=( "--with-magick=ImageMagick" )
- else
- myeconfargs+=( "--without-magick" )
- fi
- autotools-utils_src_configure
-}
-
-src_compile() {
- emake
- if use java; then
- pax-mark m "${S}/src/.libs/octave-cli"
- fi
-}
-
-src_install() {
- autotools-utils_src_install
- use doc && dodoc $(find doc -name \*.pdf)
- [[ -e test/fntests.log ]] && dodoc test/fntests.log
- use java && \
- java-pkg_regjar "${ED}/usr/share/${PN}/${PV}/m/java/octave.jar"
- echo "LDPATH=${EROOT}usr/$(get_libdir)/${PN}/${PV}" > 99octave
- doenvd 99octave
-}
diff --git a/sci-mathematics/octave/octave-4.0.1-r1.ebuild b/sci-mathematics/octave/octave-4.0.1-r1.ebuild
deleted file mode 100644
index ab22a98cdd9..00000000000
--- a/sci-mathematics/octave/octave-4.0.1-r1.ebuild
+++ /dev/null
@@ -1,164 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-inherit autotools-utils multilib toolchain-funcs fortran-2 flag-o-matic java-pkg-opt-2 pax-utils
-
-DESCRIPTION="High-level interactive language for numerical computations"
-LICENSE="GPL-3"
-HOMEPAGE="http://www.octave.org/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
-
-SLOT="0/${PV}"
-IUSE="curl doc fftw +glpk gnuplot graphicsmagick gui hdf5 +imagemagick java opengl
- postscript +qhull +qrupdate readline +sparse static-libs X zlib"
-REQUIRED_USE="?? ( graphicsmagick imagemagick )"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-
-RDEPEND="
- app-text/ghostscript-gpl
- dev-libs/libpcre:3=
- sys-libs/ncurses:0=
- virtual/blas
- virtual/lapack
- curl? ( net-misc/curl:0= )
- fftw? ( sci-libs/fftw:3.0= )
- glpk? ( sci-mathematics/glpk:0= )
- gnuplot? ( sci-visualization/gnuplot )
- gui? ( x11-libs/qscintilla:0= )
- hdf5? ( sci-libs/hdf5:0= )
- graphicsmagick? ( media-gfx/graphicsmagick:=[cxx] )
- imagemagick? ( media-gfx/imagemagick:=[cxx] )
- java? ( >=virtual/jre-1.6.0:* )
- opengl? (
- media-libs/freetype:2=
- media-libs/fontconfig:1.0=
- >=x11-libs/fltk-1.3:1=[opengl,xft]
- x11-libs/gl2ps:0=
- virtual/glu )
- postscript? (
- app-text/epstool
- media-gfx/pstoedit
- media-gfx/transfig )
- qhull? ( media-libs/qhull:0= )
- qrupdate? ( sci-libs/qrupdate:0= )
- readline? ( sys-libs/readline:0= )
- sparse? (
- sci-libs/arpack:0=
- sci-libs/camd:0=
- sci-libs/ccolamd:0=
- sci-libs/cholmod:0=
- sci-libs/colamd:0=
- sci-libs/cxsparse:0=
- sci-libs/umfpack:0= )
- X? ( x11-libs/libX11:0= )
- zlib? ( sys-libs/zlib:0= )"
-
-DEPEND="${RDEPEND}
- qrupdate? ( app-misc/pax-utils )
- sparse? ( app-misc/pax-utils )
- java? ( >=virtual/jdk-1.6.0 )
- doc? (
- virtual/latex-base
- dev-texlive/texlive-genericrecommended
- dev-texlive/texlive-metapost )
- sys-apps/texinfo
- dev-util/gperf
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.4.3-texi.patch
- "${FILESDIR}"/${PN}-3.8.0-disable-getcwd-path-max-test-as-it-is-too-slow.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick-configure.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick.patch
- "${FILESDIR}"/${PN}-3.8.1-pkgbuilddir.patch
-)
-
-src_prepare() {
- # nasty prefix hacks for fltk:1 and qt4 linking
- if use prefix; then
- use opengl && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/fltk-1"
- use gui && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/qt4"
- fi
-
- # Fix bug 501756
- sed -i \
- -e 's@A-Za-z0-9@[:alnum:]@g' \
- -e 's@A-Za-z@[:alpha:]@g' \
- libinterp/mkbuiltins || die
- autotools-utils_src_prepare
-}
-
-src_configure() {
- # occasional fail on install, force regeneration (bug #401189)
- rm doc/interpreter/contributors.texi || die
-
- # unfortunate dependency on mpi from hdf5 (bug #302621)
- use hdf5 && has_version sci-libs/hdf5[mpi] && \
- export CXX=mpicxx CC=mpicc FC=mpif77 F77=mpif77
-
- local myeconfargs=(
- --localstatedir="${EPREFIX}/var/state/octave"
- --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
- --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
- --disable-64
- --disable-jit
- $(use_enable doc docs)
- $(use_enable java)
- $(use_enable gui)
- $(use_enable readline)
- $(use_with curl)
- $(use_with fftw fftw3)
- $(use_with fftw fftw3f)
- $(use_enable fftw fftw-threads)
- $(use_with glpk)
- $(use_with hdf5)
- $(use_with opengl)
- $(use_with qhull)
- $(use_with qrupdate)
- $(use_with sparse arpack)
- $(use_with sparse umfpack)
- $(use_with sparse colamd)
- $(use_with sparse ccolamd)
- $(use_with sparse cholmod)
- $(use_with sparse cxsparse)
- $(use_with X x)
- $(use_with zlib z)
- )
- if use graphicsmagick; then
- myeconfargs+=( "--with-magick=GraphicsMagick" )
- elif use imagemagick; then
- myeconfargs+=( "--with-magick=ImageMagick" )
- else
- myeconfargs+=( "--without-magick" )
- fi
- autotools-utils_src_configure
-}
-
-src_compile() {
- emake
- if use java; then
- pax-mark m "${S}/src/.libs/octave-cli"
- fi
-}
-
-src_install() {
- autotools-utils_src_install
- if use doc; then
- dodoc $(find doc -name \*.pdf)
- else
- # bug 566134, macros.texi is installed by make install if use doc
- insinto /usr/share/${PN}/${PV}/etc
- doins doc/interpreter/macros.texi
- fi
- [[ -e test/fntests.log ]] && dodoc test/fntests.log
- use java && \
- java-pkg_regjar "${ED}/usr/share/${PN}/${PV}/m/java/octave.jar"
- echo "LDPATH=${EROOT}usr/$(get_libdir)/${PN}/${PV}" > 99octave
- doenvd 99octave
-}
diff --git a/sci-mathematics/octave/octave-4.0.1.ebuild b/sci-mathematics/octave/octave-4.0.1.ebuild
deleted file mode 100644
index 813c601c3eb..00000000000
--- a/sci-mathematics/octave/octave-4.0.1.ebuild
+++ /dev/null
@@ -1,158 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-inherit autotools-utils multilib toolchain-funcs fortran-2 flag-o-matic java-pkg-opt-2 pax-utils
-
-DESCRIPTION="High-level interactive language for numerical computations"
-LICENSE="GPL-3"
-HOMEPAGE="http://www.octave.org/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
-
-SLOT="0/${PV}"
-IUSE="curl doc fftw +glpk gnuplot graphicsmagick gui hdf5 +imagemagick java opengl
- postscript +qhull +qrupdate readline +sparse static-libs X zlib"
-REQUIRED_USE="?? ( graphicsmagick imagemagick )"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-
-RDEPEND="
- app-text/ghostscript-gpl
- dev-libs/libpcre:3=
- sys-libs/ncurses:0=
- virtual/blas
- virtual/lapack
- curl? ( net-misc/curl:0= )
- fftw? ( sci-libs/fftw:3.0= )
- glpk? ( sci-mathematics/glpk:0= )
- gnuplot? ( sci-visualization/gnuplot )
- gui? ( x11-libs/qscintilla:0= )
- hdf5? ( sci-libs/hdf5:0= )
- graphicsmagick? ( media-gfx/graphicsmagick:=[cxx] )
- imagemagick? ( media-gfx/imagemagick:=[cxx] )
- java? ( >=virtual/jre-1.6.0:* )
- opengl? (
- media-libs/freetype:2=
- media-libs/fontconfig:1.0=
- >=x11-libs/fltk-1.3:1=[opengl,xft]
- x11-libs/gl2ps:0=
- virtual/glu )
- postscript? (
- app-text/epstool
- media-gfx/pstoedit
- media-gfx/transfig )
- qhull? ( media-libs/qhull:0= )
- qrupdate? ( sci-libs/qrupdate:0= )
- readline? ( sys-libs/readline:0= )
- sparse? (
- sci-libs/arpack:0=
- sci-libs/camd:0=
- sci-libs/ccolamd:0=
- sci-libs/cholmod:0=
- sci-libs/colamd:0=
- sci-libs/cxsparse:0=
- sci-libs/umfpack:0= )
- X? ( x11-libs/libX11:0= )
- zlib? ( sys-libs/zlib:0= )"
-
-DEPEND="${RDEPEND}
- qrupdate? ( app-misc/pax-utils )
- sparse? ( app-misc/pax-utils )
- java? ( >=virtual/jdk-1.6.0 )
- doc? (
- virtual/latex-base
- dev-texlive/texlive-genericrecommended
- dev-texlive/texlive-metapost
- sys-apps/texinfo )
- dev-util/gperf
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.4.3-texi.patch
- "${FILESDIR}"/${PN}-3.8.0-disable-getcwd-path-max-test-as-it-is-too-slow.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick-configure.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick.patch
- "${FILESDIR}"/${PN}-3.8.1-pkgbuilddir.patch
-)
-
-src_prepare() {
- # nasty prefix hacks for fltk:1 and qt4 linking
- if use prefix; then
- use opengl && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/fltk-1"
- use gui && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/qt4"
- fi
-
- # Fix bug 501756
- sed -i \
- -e 's@A-Za-z0-9@[:alnum:]@g' \
- -e 's@A-Za-z@[:alpha:]@g' \
- libinterp/mkbuiltins || die
- autotools-utils_src_prepare
-}
-
-src_configure() {
- # occasional fail on install, force regeneration (bug #401189)
- rm doc/interpreter/contributors.texi || die
-
- # unfortunate dependency on mpi from hdf5 (bug #302621)
- use hdf5 && has_version sci-libs/hdf5[mpi] && \
- export CXX=mpicxx CC=mpicc FC=mpif77 F77=mpif77
-
- local myeconfargs=(
- --localstatedir="${EPREFIX}/var/state/octave"
- --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
- --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
- --disable-64
- --disable-jit
- $(use_enable doc docs)
- $(use_enable java)
- $(use_enable gui)
- $(use_enable readline)
- $(use_with curl)
- $(use_with fftw fftw3)
- $(use_with fftw fftw3f)
- $(use_enable fftw fftw-threads)
- $(use_with glpk)
- $(use_with hdf5)
- $(use_with opengl)
- $(use_with qhull)
- $(use_with qrupdate)
- $(use_with sparse arpack)
- $(use_with sparse umfpack)
- $(use_with sparse colamd)
- $(use_with sparse ccolamd)
- $(use_with sparse cholmod)
- $(use_with sparse cxsparse)
- $(use_with X x)
- $(use_with zlib z)
- )
- if use graphicsmagick; then
- myeconfargs+=( "--with-magick=GraphicsMagick" )
- elif use imagemagick; then
- myeconfargs+=( "--with-magick=ImageMagick" )
- else
- myeconfargs+=( "--without-magick" )
- fi
- autotools-utils_src_configure
-}
-
-src_compile() {
- emake
- if use java; then
- pax-mark m "${S}/src/.libs/octave-cli"
- fi
-}
-
-src_install() {
- autotools-utils_src_install
- use doc && dodoc $(find doc -name \*.pdf)
- [[ -e test/fntests.log ]] && dodoc test/fntests.log
- use java && \
- java-pkg_regjar "${ED}/usr/share/${PN}/${PV}/m/java/octave.jar"
- echo "LDPATH=${EROOT}usr/$(get_libdir)/${PN}/${PV}" > 99octave
- doenvd 99octave
-}
diff --git a/sci-mathematics/octave/octave-4.0.2-r2.ebuild b/sci-mathematics/octave/octave-4.0.2-r2.ebuild
deleted file mode 100644
index ab22a98cdd9..00000000000
--- a/sci-mathematics/octave/octave-4.0.2-r2.ebuild
+++ /dev/null
@@ -1,164 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-AUTOTOOLS_AUTORECONF=1
-AUTOTOOLS_IN_SOURCE_BUILD=1
-
-inherit autotools-utils multilib toolchain-funcs fortran-2 flag-o-matic java-pkg-opt-2 pax-utils
-
-DESCRIPTION="High-level interactive language for numerical computations"
-LICENSE="GPL-3"
-HOMEPAGE="http://www.octave.org/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
-
-SLOT="0/${PV}"
-IUSE="curl doc fftw +glpk gnuplot graphicsmagick gui hdf5 +imagemagick java opengl
- postscript +qhull +qrupdate readline +sparse static-libs X zlib"
-REQUIRED_USE="?? ( graphicsmagick imagemagick )"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-
-RDEPEND="
- app-text/ghostscript-gpl
- dev-libs/libpcre:3=
- sys-libs/ncurses:0=
- virtual/blas
- virtual/lapack
- curl? ( net-misc/curl:0= )
- fftw? ( sci-libs/fftw:3.0= )
- glpk? ( sci-mathematics/glpk:0= )
- gnuplot? ( sci-visualization/gnuplot )
- gui? ( x11-libs/qscintilla:0= )
- hdf5? ( sci-libs/hdf5:0= )
- graphicsmagick? ( media-gfx/graphicsmagick:=[cxx] )
- imagemagick? ( media-gfx/imagemagick:=[cxx] )
- java? ( >=virtual/jre-1.6.0:* )
- opengl? (
- media-libs/freetype:2=
- media-libs/fontconfig:1.0=
- >=x11-libs/fltk-1.3:1=[opengl,xft]
- x11-libs/gl2ps:0=
- virtual/glu )
- postscript? (
- app-text/epstool
- media-gfx/pstoedit
- media-gfx/transfig )
- qhull? ( media-libs/qhull:0= )
- qrupdate? ( sci-libs/qrupdate:0= )
- readline? ( sys-libs/readline:0= )
- sparse? (
- sci-libs/arpack:0=
- sci-libs/camd:0=
- sci-libs/ccolamd:0=
- sci-libs/cholmod:0=
- sci-libs/colamd:0=
- sci-libs/cxsparse:0=
- sci-libs/umfpack:0= )
- X? ( x11-libs/libX11:0= )
- zlib? ( sys-libs/zlib:0= )"
-
-DEPEND="${RDEPEND}
- qrupdate? ( app-misc/pax-utils )
- sparse? ( app-misc/pax-utils )
- java? ( >=virtual/jdk-1.6.0 )
- doc? (
- virtual/latex-base
- dev-texlive/texlive-genericrecommended
- dev-texlive/texlive-metapost )
- sys-apps/texinfo
- dev-util/gperf
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.4.3-texi.patch
- "${FILESDIR}"/${PN}-3.8.0-disable-getcwd-path-max-test-as-it-is-too-slow.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick-configure.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick.patch
- "${FILESDIR}"/${PN}-3.8.1-pkgbuilddir.patch
-)
-
-src_prepare() {
- # nasty prefix hacks for fltk:1 and qt4 linking
- if use prefix; then
- use opengl && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/fltk-1"
- use gui && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/qt4"
- fi
-
- # Fix bug 501756
- sed -i \
- -e 's@A-Za-z0-9@[:alnum:]@g' \
- -e 's@A-Za-z@[:alpha:]@g' \
- libinterp/mkbuiltins || die
- autotools-utils_src_prepare
-}
-
-src_configure() {
- # occasional fail on install, force regeneration (bug #401189)
- rm doc/interpreter/contributors.texi || die
-
- # unfortunate dependency on mpi from hdf5 (bug #302621)
- use hdf5 && has_version sci-libs/hdf5[mpi] && \
- export CXX=mpicxx CC=mpicc FC=mpif77 F77=mpif77
-
- local myeconfargs=(
- --localstatedir="${EPREFIX}/var/state/octave"
- --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
- --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
- --disable-64
- --disable-jit
- $(use_enable doc docs)
- $(use_enable java)
- $(use_enable gui)
- $(use_enable readline)
- $(use_with curl)
- $(use_with fftw fftw3)
- $(use_with fftw fftw3f)
- $(use_enable fftw fftw-threads)
- $(use_with glpk)
- $(use_with hdf5)
- $(use_with opengl)
- $(use_with qhull)
- $(use_with qrupdate)
- $(use_with sparse arpack)
- $(use_with sparse umfpack)
- $(use_with sparse colamd)
- $(use_with sparse ccolamd)
- $(use_with sparse cholmod)
- $(use_with sparse cxsparse)
- $(use_with X x)
- $(use_with zlib z)
- )
- if use graphicsmagick; then
- myeconfargs+=( "--with-magick=GraphicsMagick" )
- elif use imagemagick; then
- myeconfargs+=( "--with-magick=ImageMagick" )
- else
- myeconfargs+=( "--without-magick" )
- fi
- autotools-utils_src_configure
-}
-
-src_compile() {
- emake
- if use java; then
- pax-mark m "${S}/src/.libs/octave-cli"
- fi
-}
-
-src_install() {
- autotools-utils_src_install
- if use doc; then
- dodoc $(find doc -name \*.pdf)
- else
- # bug 566134, macros.texi is installed by make install if use doc
- insinto /usr/share/${PN}/${PV}/etc
- doins doc/interpreter/macros.texi
- fi
- [[ -e test/fntests.log ]] && dodoc test/fntests.log
- use java && \
- java-pkg_regjar "${ED}/usr/share/${PN}/${PV}/m/java/octave.jar"
- echo "LDPATH=${EROOT}usr/$(get_libdir)/${PN}/${PV}" > 99octave
- doenvd 99octave
-}
diff --git a/sci-mathematics/octave/octave-4.0.3.ebuild b/sci-mathematics/octave/octave-4.0.3.ebuild
deleted file mode 100644
index 53b5c7e54b3..00000000000
--- a/sci-mathematics/octave/octave-4.0.3.ebuild
+++ /dev/null
@@ -1,170 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-inherit autotools flag-o-matic fortran-2 java-pkg-opt-2 pax-utils toolchain-funcs
-
-DESCRIPTION="High-level interactive language for numerical computations"
-LICENSE="GPL-3"
-HOMEPAGE="http://www.octave.org/"
-SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
-
-SLOT="0/${PV}"
-IUSE="curl doc fftw +glpk gnuplot graphicsmagick gui hdf5 +imagemagick java opengl
- postscript +qhull +qrupdate readline +sparse static-libs X zlib"
-REQUIRED_USE="?? ( graphicsmagick imagemagick )"
-KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-
-RDEPEND="
- app-text/ghostscript-gpl
- dev-libs/libpcre:3=
- sys-libs/ncurses:0=
- virtual/blas
- virtual/lapack
- curl? ( net-misc/curl:0= )
- fftw? ( sci-libs/fftw:3.0= )
- glpk? ( sci-mathematics/glpk:0= )
- gnuplot? ( sci-visualization/gnuplot )
- gui? ( x11-libs/qscintilla:0= )
- hdf5? ( sci-libs/hdf5:0= )
- graphicsmagick? ( media-gfx/graphicsmagick:=[cxx] )
- imagemagick? ( media-gfx/imagemagick:=[cxx] )
- java? ( >=virtual/jre-1.6.0:* )
- opengl? (
- media-libs/freetype:2=
- media-libs/fontconfig:1.0=
- >=x11-libs/fltk-1.3:1=[opengl,xft]
- x11-libs/gl2ps:0=
- virtual/glu )
- postscript? (
- app-text/epstool
- media-gfx/pstoedit
- media-gfx/transfig )
- qhull? ( media-libs/qhull:0= )
- qrupdate? ( sci-libs/qrupdate:0= )
- readline? ( sys-libs/readline:0= )
- sparse? (
- sci-libs/arpack:0=
- sci-libs/camd:0=
- sci-libs/ccolamd:0=
- sci-libs/cholmod:0=
- sci-libs/colamd:0=
- sci-libs/cxsparse:0=
- sci-libs/umfpack:0= )
- X? ( x11-libs/libX11:0= )
- sys-libs/zlib"
-
-DEPEND="${RDEPEND}
- qrupdate? ( app-misc/pax-utils )
- sparse? ( app-misc/pax-utils )
- java? ( >=virtual/jdk-1.6.0 )
- doc? (
- virtual/latex-base
- dev-texlive/texlive-genericrecommended
- dev-texlive/texlive-metapost )
- sys-apps/texinfo
- dev-util/gperf
- virtual/pkgconfig"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-3.4.3-texi.patch
- "${FILESDIR}"/${PN}-3.8.0-disable-getcwd-path-max-test-as-it-is-too-slow.patch
- "${FILESDIR}"/${PN}-4.0.0-imagemagick-configure.patch
- "${FILESDIR}"/${PN}-4.0.3-imagemagick.patch
- "${FILESDIR}"/${PN}-3.8.1-pkgbuilddir.patch
- "${FILESDIR}"/${PN}-4.0.3-ncurses-pkgconfig.patch
- "${FILESDIR}"/${PN}-4.0.3-zlib-underlinking.patch
-)
-
-src_prepare() {
- # nasty prefix hacks for fltk:1 and qt4 linking
- if use prefix; then
- use opengl && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/fltk-1"
- use gui && append-ldflags -Wl,-rpath,"${EPREFIX}/usr/$(get_libdir)/qt4"
- fi
-
- # Fix bug 501756
- sed -i \
- -e 's@A-Za-z0-9@[:alnum:]@g' \
- -e 's@A-Za-z@[:alpha:]@g' \
- libinterp/mkbuiltins || die
-
- # occasional fail on install, force regeneration (bug #401189)
- rm doc/interpreter/contributors.texi || die
-
- default
- eautoreconf
-}
-
-src_configure() {
- # [QA] detect underlinking #593670
- append-ldflags $(test-flags-CXX -Wl,-z,defs)
-
- # unfortunate dependency on mpi from hdf5 (bug #302621)
- use hdf5 && has_version sci-libs/hdf5[mpi] && \
- export CXX=mpicxx CC=mpicc FC=mpif77 F77=mpif77
-
- local myconf
- if use graphicsmagick; then
- myconf="--with-magick=GraphicsMagick"
- elif use imagemagick; then
- myconf="--with-magick=ImageMagick"
- else
- myconf="--without-magick"
- fi
-
- econf ${myconf} \
- --localstatedir="${EPREFIX}/var/state/octave" \
- --with-blas="$($(tc-getPKG_CONFIG) --libs blas)" \
- --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)" \
- --disable-64 \
- --disable-jit \
- --enable-shared \
- --with-z \
- $(use_enable static-libs static) \
- $(use_enable doc docs) \
- $(use_enable java) \
- $(use_enable gui) \
- $(use_enable readline) \
- $(use_with curl) \
- $(use_with fftw fftw3) \
- $(use_with fftw fftw3f) \
- $(use_enable fftw fftw-threads) \
- $(use_with glpk) \
- $(use_with hdf5) \
- $(use_with opengl) \
- $(use_with qhull) \
- $(use_with qrupdate) \
- $(use_with sparse arpack) \
- $(use_with sparse umfpack) \
- $(use_with sparse colamd) \
- $(use_with sparse ccolamd) \
- $(use_with sparse cholmod) \
- $(use_with sparse cxsparse) \
- $(use_with X x)
-}
-
-src_compile() {
- default
- if use java; then
- pax-mark m "${S}/src/.libs/octave-cli"
- fi
-}
-
-src_install() {
- default
- if use doc; then
- dodoc $(find doc -name \*.pdf)
- else
- # bug 566134, macros.texi is installed by make install if use doc
- insinto /usr/share/${PN}/${PV}/etc
- doins doc/interpreter/macros.texi
- fi
- [[ -e test/fntests.log ]] && dodoc test/fntests.log
- use java && \
- java-pkg_regjar "${ED%/}/usr/share/${PN}/${PV}/m/java/octave.jar"
- echo "LDPATH=${EROOT%/}/usr/$(get_libdir)/${PN}/${PV}" > 99octave || die
- doenvd 99octave
-}